OpenNMS API 1.2.9

## org.opennms.netmgt.config.kscReports
Class Report

    java.lang.Object
      org.opennms.netmgt.config.kscReports.Report

All Implemented Interfaces:
  java.io.Serializable

public class Report
extends java.lang.Object
implements java.io.Serializable

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private java.util.ArrayList` `_graphList`
`private int` `_graphs_per_line`
`private boolean` `_has_graphs_per_line` keeps track of state for field: _graphs_per_line
`private boolean` `_has_show_graphtype_button` keeps track of state for field: _show_graphtype_button
`private boolean` `_has_show_timespan_button` keeps track of state for field: _show_timespan_button
`private boolean` `_show_graphtype_button`
`private boolean` `_show_timespan_button`
`private java.lang.String` `_title`
`private java.util.Vector` `propertyChangeListeners`

Constructor Summary
`Report()`

Method Summary
`void` `addGraph(Graph vGraph)`
`void` `addGraph(int index, Graph vGraph)`
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener pcl)` Registers a PropertyChangeListener with this class.
`void` `clearGraph()`
`void` `deleteGraphs_per_line()`
`void` `deleteShow_graphtype_button()`
`void` `deleteShow_timespan_button()`
`java.util.Enumeration` `enumerateGraph()`
`boolean` `equals(java.lang.Object obj)` Note: hashCode() has not been overriden
`Graph[]` `getGraph()`
`Graph` `getGraph(int index)`
`java.util.Collection` `getGraphCollection()`
`int` `getGraphCount()`
`int` `getGraphs_per_line()` Returns the value of field 'graphs_per_line'.
`boolean` `getShow_graphtype_button()` Returns the value of field 'show_graphtype_button'.
`boolean` `getShow_timespan_button()` Returns the value of field 'show_timespan_button'.
`java.lang.String` `getTitle()` Returns the value of field 'title'.
`boolean` `hasGraphs_per_line()`
`boolean` `hasShow_graphtype_button()`
`boolean` `hasShow_timespan_button()`
`boolean` `isValid()`
`void` `marshal(org.xml.sax.DocumentHandler handler)`
`void` `marshal(java.io.Writer out)`
`protected void` `notifyPropertyChangeListeners(java.lang.String fieldName, java.lang.Object oldValue, java.lang.Object newValue)` Notifies all registered PropertyChangeListeners when a bound property's value changes.
`boolean` `removeGraph(Graph vGraph)`
`boolean` `removePropertyChangeListener(java.beans.PropertyChangeListener pcl)` Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.
`void` `setGraph(Graph[] graphArray)`
`void` `setGraph(int index, Graph vGraph)`
`void` `setGraphCollection(java.util.Collection vGraph)`
`void` `setGraphs_per_line(int graphs_per_line)` Sets the value of field 'graphs_per_line'.
`void` `setShow_graphtype_button(boolean show_graphtype_button)` Sets the value of field 'show_graphtype_button'.
`void` `setShow_timespan_button(boolean show_timespan_button)` Sets the value of field 'show_timespan_button'.
`void` `setTitle(java.lang.String title)` Sets the value of field 'title'.
`static Report` `unmarshal(java.io.Reader reader)`
`void` `validate()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _title

    private java.lang.String _title

### _show_timespan_button

    private boolean _show_timespan_button

### _has_show_timespan_button

    private boolean _has_show_timespan_button

  keeps track of state for field: _show_timespan_button

### _show_graphtype_button

    private boolean _show_graphtype_button

### _has_show_graphtype_button

    private boolean _has_show_graphtype_button

  keeps track of state for field: _show_graphtype_button

### _graphs_per_line

    private int _graphs_per_line

### _has_graphs_per_line

    private boolean _has_graphs_per_line

  keeps track of state for field: _graphs_per_line

### _graphList

    private java.util.ArrayList _graphList

### propertyChangeListeners

    private java.util.Vector propertyChangeListeners

Constructor Detail

### Report

    public Report()

Method Detail

### addGraph

    public void addGraph(Graph vGraph)
                  throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vGraph` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addGraph

    public void addGraph(int index,
                         Graph vGraph)
                  throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vGraph` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Registers a PropertyChangeListener with this class.

  Parameters:
    `pcl` - The PropertyChangeListener to register.

### clearGraph

    public void clearGraph()

### deleteGraphs_per_line

    public void deleteGraphs_per_line()

### deleteShow_graphtype_button

    public void deleteShow_graphtype_button()

### deleteShow_timespan_button

    public void deleteShow_timespan_button()

### enumerateGraph

    public java.util.Enumeration enumerateGraph()

### equals

    public boolean equals(java.lang.Object obj)

  Note: hashCode() has not been overriden

  Parameters:
    `obj` -

### getGraph

    public Graph getGraph(int index)
                   throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getGraph

    public Graph[] getGraph()

### getGraphCollection

    public java.util.Collection getGraphCollection()

### getGraphCount

    public int getGraphCount()

### getGraphs_per_line

    public int getGraphs_per_line()

  Returns the value of field 'graphs_per_line'.

  Returns:
    the value of field 'graphs_per_line'.

### getShow_graphtype_button

    public boolean getShow_graphtype_button()

  Returns the value of field 'show_graphtype_button'.

  Returns:
    the value of field 'show_graphtype_button'.

### getShow_timespan_button

    public boolean getShow_timespan_button()

  Returns the value of field 'show_timespan_button'.

  Returns:
    the value of field 'show_timespan_button'.

### getTitle

    public java.lang.String getTitle()

  Returns the value of field 'title'.

  Returns:
    the value of field 'title'.

### hasGraphs_per_line

    public boolean hasGraphs_per_line()

### hasShow_graphtype_button

    public boolean hasShow_graphtype_button()

### hasShow_timespan_button

    public boolean hasShow_timespan_button()

### isValid

    public boolean isValid()

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### marshal

    public void marshal(org.xml.sax.DocumentHandler handler)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### notifyPropertyChangeListeners

    protected void notifyPropertyChangeListeners(java.lang.String fieldName,
                                                 java.lang.Object oldValue,
                                                 java.lang.Object newValue)

  Notifies all registered PropertyChangeListeners when a bound property's value changes.

  Parameters:
    `fieldName` - the name of the property that has changed.
    `newValue` - the new value of the property.
    `oldValue` - the old value of the property.

### removeGraph

    public boolean removeGraph(Graph vGraph)

  Parameters:
    `vGraph` -

### removePropertyChangeListener

    public boolean removePropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.

  Parameters:
    `pcl` - The PropertyChangeListener to remove.
  Returns:
    true if the given PropertyChangeListener was removed.

### setGraph

    public void setGraph(int index,
                         Graph vGraph)
                  throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vGraph` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setGraph

    public void setGraph(Graph[] graphArray)

  Parameters:
    `graphArray` -

### setGraphCollection

    public void setGraphCollection(java.util.Collection vGraph)

  Parameters:
    `vGraph` -

### setGraphs_per_line

    public void setGraphs_per_line(int graphs_per_line)

  Sets the value of field 'graphs_per_line'.

  Parameters:
    `graphs_per_line` - the value of field 'graphs_per_line'.

### setShow_graphtype_button

    public void setShow_graphtype_button(boolean show_graphtype_button)

  Sets the value of field 'show_graphtype_button'.

  Parameters:
    `show_graphtype_button` - the value of field 'show_graphtype_button'.

### setShow_timespan_button

    public void setShow_timespan_button(boolean show_timespan_button)

  Sets the value of field 'show_timespan_button'.

  Parameters:
    `show_timespan_button` - the value of field 'show_timespan_button'.

### setTitle

    public void setTitle(java.lang.String title)

  Sets the value of field 'title'.

  Parameters:
    `title` - the value of field 'title'.

### unmarshal

    public static Report unmarshal(java.io.Reader reader)
                            throws org.exolab.castor.xml.MarshalException,
                                   org.exolab.castor.xml.ValidationException

  Parameters:
    `reader` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.